ChangeSet 1.1276.1.25, 2003/08/27 10:52:30-07:00, bellucda@tiscali.it

[PATCH] Audit and minor cleanups in drivers/usb/*

- if usb_register fails report back its return code rather than -1
- module_init/cleanup functions declared as static
- missing __init/__exit


 drivers/usb/input/powermate.c |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)


diff -Nru a/drivers/usb/input/powermate.c b/drivers/usb/input/powermate.c
--- a/drivers/usb/input/powermate.c	Tue Sep  2 12:45:07 2003
+++ b/drivers/usb/input/powermate.c	Tue Sep  2 12:45:07 2003
@@ -433,14 +433,12 @@
         .id_table =     powermate_devices,
 };
 
-int powermate_init(void)
+static int __init powermate_init(void)
 {
-	if (usb_register(&powermate_driver) < 0)
-		return -1;
-	return 0;
+	return usb_register(&powermate_driver);
 }
 
-void powermate_cleanup(void)
+static void __exit powermate_cleanup(void)
 {
 	usb_deregister(&powermate_driver);
 }
